# TSYS Group overview and introduction

## Mission

TSYS Group is a collection of entities whose common goal is providing internet connectivity to everyone in all of North America (in particular rural areas) for $25.00 per user
per month.

## Who does TSYS Group serve?

Everyone in North America and international waters who wants internet connectivity.

## What does the TSYS Group do?

The TSYS Group seeks to handle every aspect of internet connectivity, soup to nuts. From design and manufacture of the equipment, to 
educating users on it's safe and efficient operation to raising the capital for the venture.

## Where can you contact TSYS Group?
Website: www.turnsys.com

## TSYS Group Brands

### Redwood Group 

The below table documents the not primarily for profit entities performing capital raising and management for TSYS Group entities and their members.

| Entity                                             | Description                                                                                       | Website                  |
| -------------------------------------------------- | ------------------------------------------------------------------------------------------------- | ------------------------ |
| Redwood Group LLC                                  | Sibling organization to TSYS Group for all capital raising and management                         | <https://www.redwgr.com> |
| Redwood Springs Capital Partners Management Co LLC | management company of the various funds setup to finance TSYS Group operations                    | <https://www.rwscp.net>  |
| Redwood Family Office LLC                          | Wealth management/healthcare/estate planning/tax advice broker for LLC members and their families | <https://www.redwfo.com> |

### Non Profit Properties

The below table documents the non profit entities performing the educational, advocacy, lobbying and legislative functions for TSYS Group.


| Entity                             | Description                                                                                                            | Website                         |
| ---------------------------------- | ---------------------------------------------------------------------------------------------------------------------- | ------------------------------- |
| Americans For A Better Network INC | A non profit (seeking 501c3 status) to educate americans about internet provider choices                               | <https://www.afabn.org>         |
| Free Network Foundation INC        | A defunct 501c3 (replaced by AFABN)                                                                                    | <https://www.thefnf.org>        |
| Free Network Foundation INC        | (wiki) comprehensive body of knowledge about community networking                                                      | <https://commons.thefnf.org>    |
| Free Network Foundation INC        | (static files) Assets (pdfs etc) linked from blog/wiki                                                                 | <https://staticbits.thefnf.org> |
| Side Door (Solutions) Group INC    | A non profit (seeking 501c4) / PAC to drive the necessary legislative and executive changes to enable internet for all | <https://www.sidedoorgroup.org> |
| TSYS Group Non Profit Portal       | Landing page for non profits                                                                                           | <https://nonprofit.turnsys.com> |

### For Profit Properties

The below table documents the not primarily for profit entities performing the R&D and providing supporting services functions for TSYS Group.


| Entity                                     | Description                                                                                    | Website                              |
| ------------------------------------------ | ---------------------------------------------------------------------------------------------- | ------------------------------------ |
| Axios Heart Studios LLC                    | Art, 2d,3d and other fabrication services for TSYS Group                                       | <https://www.axiosheartstudios.com>  |
| Suborbital Systems Development Company LLC | Manufacturer of Morse product line - technical blog and information                            | <https://www.suborbital-systems.com> |
| Suborbital Systems Development Company LLC | Manufacturer of Morse product line - product page                                              | <https://www.meetmorse.com>          |
| RackRental LLC                             | network and lab equipment rental by the hour for training, config testing, competitive testing | <https://www.rackrental.net>         |
| Team Rental LLC                            | HR/staffing of IT/dev professionals (2 million net new job goal by 2025)                       | <https://www.teamrental.net>         |
| Known Element Enterprises LLC              | IT/business back office services                                                               | <https://www.knownelement.com>       |
| Your Dream Name Here LLC                   | Business in a box                                                                              | <https://www.yourdreamnamehere.com>  |
| The PeerNet LLC                            | Community, media, public relations / (live/time shifted) streaming/broadcast service           | <https://www.thepeernet.com>         |
| The PeerNet LLC                            | Software platform powering ThePeerNet.com service                                              | <https://www.ezpodstack.org>         |

### Coop Properties

The below table documents the fairshares cooperatives for financing, building, owning and operating community networks.

| Entity                                    | Description                                              | Website                          |
| ----------------------------------------- | -------------------------------------------------------- | -------------------------------- |
| High Flight Network Finance Company LLC   | Financing network builds                                 | <https://www.hfnfc.net>          |
| High Flight Network Operating Company LLC | User owned/operated network backbone                     | <https://www.hfnoc.net>          |
| KickFund.me LLC                           | Crowdfunding of network and other infrastructure builds  | <https://www.kickfund.me>        |
| The Campus Trading Co LLC                 | treasury/investment management/market and other research | <https://www.thecampustrade.com> |

### Misc Properties

| Entity               | Description                            | Website                          |
| -------------------- | -------------------------------------- | -------------------------------- |
| CNWCO  LLC           | Charles Wyble blog                     | <https://www.reachableceo.com>   |
| Turn Net Systems LLC | Overall entity for many subsidiary LLC | <https://www.turnsys.com>        |
| Turn Net Systems LLC | Governance information for TSYS group  | <https://governance.turnsys.com> |


Please see https://www.turnsys.com for more information.
